<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [setFocus](./bitburner.singularity.setfocus.md)

## Singularity.setFocus() method

Set the players focus.

**Signature:**

```typescript
setFocus(focus: boolean): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

focus


</td><td>

boolean


</td><td>


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the focus was changed.

## Remarks

RAM cost: 0.1 GB \* 16/4/1

